(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    105982,       2387]
NotebookOptionsPosition[    103385,       2301]
NotebookOutlinePosition[    103763,       2317]
CellTagsIndexPosition[    103720,       2314]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Problem Set 2", "Title",
 CellChangeTimes->{{3.703485982221595*^9, 3.703485986225402*^9}}],

Cell[CellGroupData[{

Cell["The grid", "Subsection",
 CellChangeTimes->{{3.70447774297769*^9, 3.7044777438518667`*^9}}],

Cell["\<\
Here\[CloseCurlyQuote]s a possible choice for the grid\
\>", "Text",
 CellChangeTimes->{{3.7044777449285393`*^9, 3.7044777484850254`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nmax", "=", "5"}], ";", 
  RowBox[{"prec", "=", "30"}], ";", 
  RowBox[{"LMax", "=", "10"}], ";", 
  RowBox[{"step", "=", 
   RowBox[{"1", "/", "20"}]}], ";", 
  RowBox[{"DMax", "=", "40"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Zgrid", "=", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          RowBox[{"r", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]]}]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          RowBox[{"r", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]]}]}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", 
         FractionBox["1", "nmax"], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          SuperscriptBox["10", 
           RowBox[{"-", "9"}]]}], ",", 
         FractionBox["1", "nmax"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Phi]", ",", "0", ",", 
         RowBox[{
          FractionBox["\[Pi]", "2"], "-", 
          SuperscriptBox["10", 
           RowBox[{"-", "9"}]]}], ",", 
         FractionBox["\[Pi]", "nmax"]}], "}"}]}], "]"}], "//", 
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Zgrid2", "=", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"r", "+", 
           RowBox[{"\[ImaginaryI]", " ", "i"}]}], ",", 
          RowBox[{"r", "-", 
           RowBox[{"\[ImaginaryI]", " ", "i"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"r", ",", 
          RowBox[{
           FractionBox["1", "2"], "+", 
           FractionBox["1", "nmax"]}], ",", 
          RowBox[{"1", "-", 
           SuperscriptBox["10", 
            RowBox[{"-", "9"}]]}], ",", 
          FractionBox["1", "nmax"]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", 
          RowBox[{"1", "-", 
           SuperscriptBox["10", 
            RowBox[{"-", "9"}]]}], ",", 
          FractionBox["1", "nmax"]}], "}"}]}], "]"}], "//", 
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], ";"}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Dgrid", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[CapitalDelta]", ",", "L"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"L", ",", "0", ",", "LMax", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[CapitalDelta]", ",", 
        RowBox[{"L", "+", 
         SuperscriptBox["10", 
          RowBox[{"-", "3"}]]}], ",", "DMax", ",", "step"}], "}"}]}], "]"}], "//", 
    RowBox[{
     RowBox[{"Flatten", "[", 
      RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7035180802694683`*^9, 3.7035180821048565`*^9}, {
   3.7035185196630583`*^9, 3.7035186097683535`*^9}, {3.703518762563921*^9, 
   3.7035187648630495`*^9}, {3.703519350570327*^9, 3.703519352811423*^9}, {
   3.703520370626116*^9, 3.7035203757313995`*^9}, {3.7035205167300367`*^9, 
   3.703520519086255*^9}, {3.703521290150762*^9, 3.7035212953512416`*^9}, {
   3.703522016474374*^9, 3.7035220223816695`*^9}, {3.7035226895841084`*^9, 
   3.7035227778377657`*^9}, {3.7035234816822186`*^9, 3.703523482740777*^9}, {
   3.7035236135308743`*^9, 3.703523687382408*^9}, {3.703523745790533*^9, 
   3.703523748509062*^9}, {3.703523900093073*^9, 3.7035239001761327`*^9}, {
   3.703523999811685*^9, 3.703524003257128*^9}, {3.703524042514825*^9, 
   3.703524055358858*^9}, {3.7035241550534754`*^9, 3.703524173390585*^9}, {
   3.703524911440137*^9, 3.7035249183065357`*^9}, 3.7035250333516793`*^9, {
   3.703525947864654*^9, 3.7035259863798857`*^9}, {3.7035274071277285`*^9, 
   3.7035274158399267`*^9}, {3.7035280391189632`*^9, 
   3.7035281085029087`*^9}, {3.703528179492712*^9, 3.7035281958610287`*^9}, {
   3.703528819634641*^9, 3.7035288228417377`*^9}, {3.70470798882263*^9, 
   3.704707988992757*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Re", "[", 
       RowBox[{"Zgrid", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "1"}], "]"}], "]"}], "]"}], ",", 
      RowBox[{"Im", "[", 
       RowBox[{"Zgrid", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "1"}], "]"}], "]"}], "]"}]}], "}"}], "//", 
    "Transpose"}], "//", 
   RowBox[{
    RowBox[{"ListPlot", "[", 
     RowBox[{"#", ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1"}], "/", "3"}], ",", 
           RowBox[{"1", "/", "2"}]}], "}"}]}], "}"}]}]}], "]"}], "&"}]}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.7035240045002074`*^9, 3.703524087289709*^9}, {
  3.703524195876689*^9, 3.703524234993764*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     PointBox[{{0.7, 0.}, {0.6618033988749895, 0.11755705045849463`}, {
      0.5618033988749895, 0.1902113032590307}, {0.9, 0.}, {0.823606797749979, 
      0.23511410091698925`}, {0.623606797749979, 
      0.3804226065180614}}]}, {}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->NCache[{{0, 1}, {
      Rational[-1, 3], 
      Rational[1, 2]}}, {{0, 1}, {-0.3333333333333333, 0.5}}],
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.7035240093963976`*^9, 3.7035240219083085`*^9}, {
   3.7035240585644236`*^9, 3.7035240876439743`*^9}, {3.7035241965997777`*^9, 
   3.7035242353357143`*^9}, 3.7035259988111663`*^9, 3.7044778080922747`*^9, 
   3.7047079929121785`*^9, 3.7047093106981773`*^9, 3.704710789470102*^9, 
   3.7047109078685594`*^9, 3.7047111069819098`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Blocks", "Subsection",
 CellChangeTimes->{{3.703486038182991*^9, 3.703486040084204*^9}}],

Cell["\<\
Here is some code evaluating the blocks and the F functions on a grid\
\>", "Text",
 CellChangeTimes->{{3.7044777622363153`*^9, 3.7044777876867757`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{
   "k", ",", "FVec", ",", "CBlVec", ",", "BlVec", ",", "F", ",", "k", ",", 
    "kk"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Rho]", "[", "z_", "]"}], ":=", 
   FractionBox["z", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SqrtBox[
        RowBox[{"1", "-", "z"}]]}], ")"}], "2"]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"kk", "[", 
     RowBox[{"\[Beta]_", ",", "a_", ",", "b_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     SuperscriptBox["z", 
      RowBox[{"\[Beta]", "/", "2"}]], 
     RowBox[{"Hypergeometric2F1", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Beta]", "-", "a"}], ")"}], "/", "2"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Beta]", "+", "b"}], ")"}], "/", "2"}], ",", "\[Beta]", 
       ",", "z"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"kS", "[", 
      RowBox[{"\[Beta]_", ",", "a_", ",", "b_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"\[Rho]", "[", "z", "]"}], 
       RowBox[{"\[Beta]", "/", "2"}]], 
      RowBox[{"Hypergeometric2F1", "[", 
       RowBox[{
        FractionBox[
         RowBox[{"\[Beta]", "+", "b"}], "2"], ",", 
        RowBox[{
         FractionBox["b", "2"], "+", 
         FractionBox["1", "2"]}], ",", 
        FractionBox[
         RowBox[{"\[Beta]", "+", "1"}], "2"], ",", 
        SuperscriptBox[
         RowBox[{"\[Rho]", "[", "z", "]"}], "2"]}], "]"}]}]}], ";"}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"G2D", "[", 
    RowBox[{
    "\[CapitalDelta]_", ",", "l_", ",", "a_", ",", "b_", ",", "z_", ",", 
     "x_"}], "]"}], ":=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"kk", "[", 
        RowBox[{
         RowBox[{"\[CapitalDelta]", "+", "l"}], ",", "a", ",", "b", ",", 
         "z"}], "]"}], 
       RowBox[{"kk", "[", 
        RowBox[{
         RowBox[{"\[CapitalDelta]", "-", "l"}], ",", "a", ",", "b", ",", 
         "x"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"kk", "[", 
        RowBox[{
         RowBox[{"\[CapitalDelta]", "+", "l"}], ",", "a", ",", "b", ",", 
         "x"}], "]"}], 
       RowBox[{"kk", "[", 
        RowBox[{
         RowBox[{"\[CapitalDelta]", "-", "l"}], ",", "a", ",", "b", ",", 
         "z"}], "]"}]}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"F", "[", 
    RowBox[{"a_", ",", "\[CapitalDelta]_", ",", "l_", ",", "z_", ",", "zb_"}],
     "]"}], ":=", 
   RowBox[{
    FractionBox[
     RowBox[{"G2D", "[", 
      RowBox[{
      "\[CapitalDelta]", ",", "l", ",", "0", ",", "0", ",", "z", ",", "zb"}], 
      "]"}], 
     RowBox[{
      SuperscriptBox["z", "a"], 
      SuperscriptBox["zb", "a"]}]], "-", 
    FractionBox[
     RowBox[{"G2D", "[", 
      RowBox[{"\[CapitalDelta]", ",", "l", ",", "0", ",", "0", ",", 
       RowBox[{"1", "-", "z"}], ",", 
       RowBox[{"1", "-", "zb"}]}], "]"}], 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "z"}], ")"}], "a"], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "zb"}], ")"}], "a"]}]]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BlVec", "[", 
    RowBox[{"\[CapitalDelta]_", ",", "l_", ",", "Zgrid_"}], "]"}], ":=", 
   RowBox[{"Re", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"SetPrecision", "[", 
       RowBox[{
        RowBox[{"G2D", "[", 
         RowBox[{"\[CapitalDelta]", ",", "l", ",", "0", ",", "0", ",", 
          RowBox[{"#", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", 
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", "MachinePrecision"}],
        "]"}], "&"}], "/@", "Zgrid"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CBlVec", "[", 
    RowBox[{"\[CapitalDelta]_", ",", "l_", ",", "Zgrid_"}], "]"}], ":=", 
   RowBox[{"Re", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"SetPrecision", "[", 
       RowBox[{
        RowBox[{"G2D", "[", 
         RowBox[{"\[CapitalDelta]", ",", "l", ",", "0", ",", "0", ",", 
          RowBox[{"1", "-", 
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ",", 
          RowBox[{"1", "-", 
           RowBox[{"#", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ",", 
        "MachinePrecision"}], "]"}], "&"}], "/@", "Zgrid"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"FVec", "[", 
     RowBox[{"a_", ",", "\[CapitalDelta]_", ",", "l_", ",", "Zgrid_"}], "]"}],
     ":=", 
    RowBox[{"Re", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"SetPrecision", "[", 
        RowBox[{
         RowBox[{"F", "[", 
          RowBox[{"a", ",", "\[CapitalDelta]", ",", "l", ",", 
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", 
           RowBox[{"#", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
         "MachinePrecision"}], "]"}], "&"}], "/@", "Zgrid"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"G2DS", "[", 
      RowBox[{
      "\[CapitalDelta]_", ",", "l_", ",", "a_", ",", "b_", ",", "z_", ",", 
       "x_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"kS", "[", 
          RowBox[{
           RowBox[{"\[CapitalDelta]", "+", "l"}], ",", "a", ",", "b", ",", 
           "z"}], "]"}], 
         RowBox[{"kS", "[", 
          RowBox[{
           RowBox[{"\[CapitalDelta]", "-", "l"}], ",", "a", ",", "b", ",", 
           "x"}], "]"}]}], "+", 
        RowBox[{
         RowBox[{"kS", "[", 
          RowBox[{
           RowBox[{"\[CapitalDelta]", "+", "l"}], ",", "a", ",", "b", ",", 
           "x"}], "]"}], 
         RowBox[{"kS", "[", 
          RowBox[{
           RowBox[{"\[CapitalDelta]", "-", "l"}], ",", "a", ",", "b", ",", 
           "z"}], "]"}]}]}], ")"}]}]}], ";"}], 
   "*)"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.703517034713131*^9, 3.7035170384518824`*^9}, {
  3.703517084914826*^9, 3.7035171547047124`*^9}, {3.70351741605865*^9, 
  3.7035174218113637`*^9}, {3.7035174573909836`*^9, 3.703517486686427*^9}, {
  3.703518044876348*^9, 3.7035180778377824`*^9}, {3.703518515165865*^9, 
  3.7035185157831154`*^9}, {3.703519065545322*^9, 3.703519070617145*^9}, {
  3.7035209570272293`*^9, 3.703521004294413*^9}, {3.703526226479041*^9, 
  3.7035262372249765`*^9}, {3.7035266407320204`*^9, 3.703526708165037*^9}, {
  3.7035282560986385`*^9, 3.703528277649824*^9}, {3.7035283273780437`*^9, 
  3.703528330659765*^9}, {3.7047091751221604`*^9, 3.704709191087538*^9}, {
  3.704710401748575*^9, 3.7047104018077707`*^9}, {3.7047106955629463`*^9, 
  3.704710703096547*^9}, {3.7047108497782125`*^9, 3.70471085139546*^9}, {
  3.704710888596038*^9, 3.7047108887795105`*^9}, {3.704711008102031*^9, 
  3.704711024849658*^9}}],

Cell["Example:", "Text",
 CellChangeTimes->{{3.7044777954013696`*^9, 3.7044777963105545`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FVec", "[", 
  RowBox[{"0.2", ",", "2.3", ",", "0", ",", "Zgrid"}], "]"}]], "Input",
 CellChangeTimes->{{3.7044777974221725`*^9, 3.7044778042851677`*^9}, {
  3.704710974777793*^9, 3.704710985577365*^9}, {3.7047110304798617`*^9, 
  3.704711040289933*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.605635395565641`", ",", "1.1726261382144343`", ",", 
   "0.39393915023808423`", ",", "6.9376771457026`", ",", "2.728205397381881`",
    ",", "0.7096185262873843`"}], "}"}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.704477811253873*^9, 3.7047080030994124`*^9, 3.704709313021055*^9, 
   3.704710423583361*^9, {3.704710498508316*^9, 3.704710501029166*^9}, 
   3.704710711429308*^9, 3.7047107488091755`*^9, 3.7047107931767254`*^9, 
   3.70471085841715*^9, {3.7047109705588017`*^9, 3.7047109857614183`*^9}, {
   3.70471102713435*^9, 3.704711040586669*^9}, 3.7047111113631105`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.605635395565641`", ",", "1.1726261382144343`", ",", 
   "0.39393915023808423`", ",", "6.9376771457026`", ",", "2.728205397381881`",
    ",", "0.7096185262873843`"}], "}"}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.704477811253873*^9, 3.7047080030994124`*^9, 3.704709313021055*^9, 
   3.704710423583361*^9, {3.704710498508316*^9, 3.704710501029166*^9}, 
   3.704710711429308*^9, 3.7047107488091755`*^9, 3.7047107931767254`*^9, 
   3.70471085841715*^9, {3.7047109705588017`*^9, 3.7047109857614183`*^9}, {
   3.70471102713435*^9, 3.704711040586669*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Tables", "Subsection",
 CellChangeTimes->{{3.703497538186728*^9, 3.70349754030272*^9}, {
   3.7034985970707216`*^9, 3.7034986020088406`*^9}, 3.7035187885347233`*^9, 
   3.703520429466942*^9, 3.703520880331843*^9}],

Cell["\<\
The following is a piece of code that generates a table of conformal blocks \
in the direct and crossed channels (prefix C) on some grid.\
\>", "Text",
 CellChangeTimes->{{3.7044778349276295`*^9, 3.704477863934692*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"MakeTables", "[", 
     RowBox[{"Zgrid_", ",", "Dgrid_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "BlockTable", ",", "\[CapitalDelta]", ",", "inds", ",", "i", ",", "L", 
        ",", "CBlockTable"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"BlockTable", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"CBlockTable", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"inds", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"i", "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Do", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"AppendTo", "[", 
           RowBox[{"BlockTable", ",", 
            RowBox[{"{", 
             RowBox[{"d", ",", 
              RowBox[{"BlVec", "[", 
               RowBox[{
                RowBox[{"d", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                RowBox[{"d", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], ",", "Zgrid"}], "]"}]}], 
             "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"CBlockTable", ",", 
            RowBox[{"{", 
             RowBox[{"d", ",", 
              RowBox[{"CBlVec", "[", 
               RowBox[{
                RowBox[{"d", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                RowBox[{"d", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], ",", "Zgrid"}], "]"}]}], 
             "}"}]}], "]"}], ";"}], ",", 
         RowBox[{"{", 
          RowBox[{"d", ",", "Dgrid"}], "}"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"BlockTable", ",", "CBlockTable"}], "}"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.7034978793775244`*^9, 3.703498053815751*^9}, {
   3.703498180072021*^9, 3.703498198235589*^9}, {3.7034984462746143`*^9, 
   3.7034984498655896`*^9}, {3.703498538971068*^9, 3.703498546590243*^9}, {
   3.703498846280447*^9, 3.7034988464768248`*^9}, {3.703498896568473*^9, 
   3.703498920743477*^9}, {3.703501540086322*^9, 3.7035015402275352`*^9}, {
   3.7035181107999706`*^9, 3.7035181983239317`*^9}, {3.7035186298840475`*^9, 
   3.7035187400597944`*^9}, {3.703519084100727*^9, 3.7035190923672047`*^9}, 
   3.703519148741397*^9, {3.7035193389441166`*^9, 3.7035193412923994`*^9}, {
   3.7035205770406895`*^9, 3.703520578920286*^9}, {3.7035208889057755`*^9, 
   3.7035209444993973`*^9}, {3.703521025100809*^9, 3.70352128104608*^9}, {
   3.7035213730780272`*^9, 3.703521403114596*^9}, {3.703521463718311*^9, 
   3.703521465819459*^9}, {3.70352150623804*^9, 3.703521544704003*^9}, 
   3.703521613862301*^9, {3.7035222469587116`*^9, 3.7035222716341476`*^9}, {
   3.7035266138547893`*^9, 3.7035266168799987`*^9}, {3.7044778675051117`*^9, 
   3.7044778701420627`*^9}}],

Cell[TextData[{
 "...whereas this function receive tables made with the previous code and ",
 StyleBox["convolves them",
  FontSlant->"Italic"],
 " to take care of the ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"z", " ", "zb"}], ")"}], "a"]], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " factors in the crossing sum rule"
}], "Text",
 CellChangeTimes->{{3.704477874266011*^9, 3.7044779137832456`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ConvolveTable", "[", 
     RowBox[{"a_", ",", "Zgrid_", ",", "Dgrid_", ",", "Tables_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "FTable", ",", "z", ",", "zb", ",", "i", ",", "zzb", ",", "Czzb"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"FTable", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"i", "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"zzb", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             SuperscriptBox["z", "a"], " ", 
             SuperscriptBox["zb", "a"]}], "/.", 
            RowBox[{"z", "\[Rule]", 
             RowBox[{"Z", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], "/.", 
           RowBox[{"zb", "\[Rule]", 
            RowBox[{"Z", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"Z", ",", "Zgrid"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Czzb", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "-", "z"}], ")"}], "a"], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "-", "zb"}], ")"}], "a"]}], "/.", 
            RowBox[{"z", "\[Rule]", 
             RowBox[{"Z", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], "/.", 
           RowBox[{"zb", "\[Rule]", 
            RowBox[{"Z", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"Z", ",", "Zgrid"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Do", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"AppendTo", "[", 
           RowBox[{"FTable", ",", 
            RowBox[{"{", 
             RowBox[{"d", ",", 
              RowBox[{"Re", "[", 
               RowBox[{"SetPrecision", "[", 
                RowBox[{
                 RowBox[{
                  FractionBox[
                   RowBox[{"Tables", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "i", ",", "2"}], "]"}], "]"}], "zzb"], 
                  "-", 
                  FractionBox[
                   RowBox[{"Tables", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "i", ",", "2"}], "]"}], "]"}], 
                   "Czzb"]}], ",", "prec"}], "]"}], "]"}]}], "}"}]}], "]"}], 
          ";", 
          RowBox[{"i", "++"}], ";"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"d", ",", "Dgrid"}], "}"}]}], "]"}], ";", 
       "\[IndentingNewLine]", "FTable"}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.7035213467423916`*^9, 3.7035213571182346`*^9}, {
   3.703521828752358*^9, 3.703521859424981*^9}, 3.7035219171251984`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Find Functional", "Subsection",
 CellChangeTimes->{{3.703498609792074*^9, 3.70349861361097*^9}, {
  3.703520431916574*^9, 3.703520432959769*^9}}],

Cell["\<\
Here is a function that checks if a given grid is ruled out or not\
\>", "Text",
 CellChangeTimes->{{3.703498663678811*^9, 3.703498665433565*^9}, {
  3.7044779232780285`*^9, 3.704477940960752*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Table", " ", "should", " ", "be", " ", "convolved"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"CheckFunctional", "[", 
      RowBox[{"a_", ",", "gap_", ",", "table_", ",", "Zgrid_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "RedTable", ",", "RedTable2", ",", "RedTable3", ",", "FullTable", ",",
          "eps", ",", "comps", ",", "costvec", ",", "func", ",", "bvec", ",", 
         "BlockTable", ",", "inds"}], "}"}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"eps", "=", 
         SuperscriptBox["10", 
          RowBox[{"-", "7"}]]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"RedTable", "=", 
         RowBox[{
          RowBox[{"Select", "[", 
           RowBox[{"table", ",", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}], ">", "gap"}], "||", 
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "2"}], "]"}], "]"}], ">", "0"}]}], "&"}]}],
            "]"}], "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{"remove", " ", "operators", " ", "above", " ", "gap"}], 
         "*)"}], "\[IndentingNewLine]", 
        RowBox[{"RedTable2", "=", 
         RowBox[{"Prepend", "[", 
          RowBox[{"RedTable", ",", 
           RowBox[{"FVec", "[", 
            RowBox[{"a", ",", "gap", ",", "0", ",", "Zgrid"}], "]"}]}], 
          "]"}]}], ";", 
        RowBox[{"(*", 
         RowBox[{
         "add", " ", "an", " ", "operator", " ", "at", " ", "precisely", " ", 
          "the", " ", "gap"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"RedTable3", "=", 
         RowBox[{"Prepend", "[", 
          RowBox[{"RedTable2", ",", 
           RowBox[{"FVec", "[", 
            RowBox[{"a", ",", "0", ",", "0", ",", "Zgrid"}], "]"}]}], "]"}]}],
         ";", 
        RowBox[{"(*", 
         RowBox[{"add", " ", "the", " ", "identity", " ", "operator"}], " ", 
         "*)"}], "\[IndentingNewLine]", 
        RowBox[{"FullTable", "=", 
         RowBox[{"Prepend", "[", 
          RowBox[{"RedTable3", ",", 
           RowBox[{
            SuperscriptBox["eps", 
             RowBox[{"-", "1"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"FVec", "[", 
               RowBox[{"a", ",", 
                RowBox[{"gap", "+", "eps"}], ",", "0", ",", "Zgrid"}], "]"}], 
              "-", 
              RowBox[{"FVec", "[", 
               RowBox[{"a", ",", "gap", ",", "0", ",", "Zgrid"}], "]"}]}], 
             ")"}]}]}], "]"}]}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{"add", " ", "the", " ", "vector", " ", 
          SubscriptBox["D", "\[CapitalDelta]"], "F", " ", "at", " ", "the", 
          " ", "gap", " ", "for", " ", "normalization", " ", "purposes"}], 
         " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"FullTable", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"#", "/", 
             RowBox[{"FullTable", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "&"}], "/@", 
          "FullTable"}]}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{
         "rescale", " ", "components", " ", "of", " ", "the", " ", "vectors", 
          " ", "vector", " ", "by", " ", "dividing", " ", "by", " ", "the", 
          " ", "previous", " ", 
          RowBox[{"one", "."}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"bvec", "=", 
         RowBox[{
          RowBox[{"{", "1", "}"}], "~", "Join", "~", 
          RowBox[{"Array", "[", 
           RowBox[{
            RowBox[{"0", "&"}], ",", 
            RowBox[{"Length", "[", "RedTable3", "]"}]}], "]"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"comps", "=", 
         RowBox[{"Length", "[", 
          RowBox[{"FullTable", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"costvec", "=", 
         RowBox[{"Array", "[", 
          RowBox[{
           RowBox[{"0", "&"}], ",", "comps"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"func", "=", 
         RowBox[{"Check", "[", 
          RowBox[{
           RowBox[{"LinearProgramming", "[", 
            RowBox[{"costvec", ",", 
             RowBox[{"FullTable", "*", "1."}], ",", "bvec", ",", "None"}], 
            "]"}], ",", "\"\<nofunc\>\""}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "func", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.703518217520111*^9, 3.703518369653354*^9}, {
   3.703518863963381*^9, 3.7035188749288416`*^9}, {3.7035189366811476`*^9, 
   3.7035189689045877`*^9}, {3.703519000341325*^9, 3.7035190102316017`*^9}, {
   3.703519108791933*^9, 3.703519110123003*^9}, {3.703519186882948*^9, 
   3.7035191944912663`*^9}, {3.7035192357160254`*^9, 
   3.7035192529730215`*^9}, {3.70352189182763*^9, 3.7035218984711695`*^9}, {
   3.703522961623454*^9, 3.703522966567097*^9}, 3.7035249057636776`*^9, {
   3.703524937953199*^9, 3.703524938240171*^9}, {3.7035251430843463`*^9, 
   3.703525143381357*^9}, {3.70352517686707*^9, 3.703525200972376*^9}, {
   3.703525280537258*^9, 3.703525328624729*^9}, 3.7035269194480324`*^9, {
   3.7035272108698063`*^9, 3.703527211423443*^9}, {3.703528509190218*^9, 
   3.7035285098328233`*^9}, {3.7035296282652855`*^9, 3.703529642705662*^9}, {
   3.703529709801299*^9, 3.7035297407889147`*^9}, {3.703529820760068*^9, 
   3.703529821862548*^9}, {3.7044779442177167`*^9, 3.7044780370751905`*^9}}],

Cell["\<\
This function runs the previous one many times (bissection) to find the \
optimal gap to some accuracy\
\>", "Text",
 CellChangeTimes->{{3.703500132362042*^9, 3.7035001336134443`*^9}, {
  3.7044780554542737`*^9, 3.70447806897477*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Bissect", "[", 
      RowBox[{
      "a_", ",", "llg_", ",", "uug_", ",", "cutoff_", ",", "Zgrid_", ",", 
       "tab_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"gap", ",", "lg", ",", "ug", ",", "func", ",", "goodfunc"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"lg", "=", 
         RowBox[{"Min", "[", 
          RowBox[{"llg", ",", "uug"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"ug", "=", 
         RowBox[{"Max", "[", 
          RowBox[{"llg", ",", "uug"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"goodfunc", "=", "\"\<None\>\""}], ";", "\[IndentingNewLine]", 
        RowBox[{"While", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"ug", "-", "lg"}], ">", "cutoff"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"gap", "=", 
            FractionBox[
             RowBox[{"lg", "+", "ug"}], "2"]}], ";", "\[IndentingNewLine]", 
           RowBox[{"func", "=", 
            RowBox[{"CheckFunctional", "[", 
             RowBox[{"a", ",", "gap", ",", "tab", ",", "Zgrid"}], "]"}]}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"func", "===", "\"\<nofunc\>\""}], ",", 
             RowBox[{"lg", "=", "gap"}], ",", 
             RowBox[{
              RowBox[{"ug", "=", "gap"}], ";", 
              RowBox[{"goodfunc", "=", "func"}]}]}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"SetPrecision", "[", 
            RowBox[{"ug", ",", "prec"}], "]"}], ",", 
           RowBox[{"SetPrecision", "[", 
            RowBox[{"lg", ",", "prec"}], "]"}], ",", "goodfunc"}], "}"}], 
         "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.70351839454419*^9, 3.7035184352025785`*^9}, {
  3.703518480432681*^9, 3.7035184878126755`*^9}, {3.7035190315037427`*^9, 
  3.703519032125577*^9}, {3.7035193054379992`*^9, 3.7035193335695477`*^9}, {
  3.703519368008505*^9, 3.7035195565956764`*^9}, {3.7035195894786716`*^9, 
  3.7035196408171515`*^9}, {3.703519674037825*^9, 3.7035196748132005`*^9}, {
  3.703519707027198*^9, 3.7035197072013993`*^9}, {3.703519747472353*^9, 
  3.703519777979781*^9}, {3.703519822377443*^9, 3.7035198289953656`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Loop", "Subsection",
 CellChangeTimes->{{3.7035198792249928`*^9, 3.7035198796219997`*^9}}],

Cell["\<\
Put everything together, do bissection for several values of the external \
dimension which is denoted \[OpenCurlyQuote]a\[CloseCurlyQuote].\
\>", "Text",
 CellChangeTimes->{{3.7044780791826863`*^9, 3.7044780961723747`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nmax", "=", "5"}], ";", 
  RowBox[{"prec", "=", "30"}], ";", 
  RowBox[{"LMax", "=", "8"}], ";", 
  RowBox[{"step", "=", 
   RowBox[{"1", "/", "10"}]}], ";", 
  RowBox[{"DMax", "=", "40"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Zgrid", "=", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          RowBox[{"r", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]]}]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          RowBox[{"r", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]]}]}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", 
         FractionBox["1", "nmax"], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          SuperscriptBox["10", 
           RowBox[{"-", "9"}]]}], ",", 
         FractionBox["1", "nmax"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Phi]", ",", "0", ",", 
         RowBox[{
          FractionBox["\[Pi]", "2"], "-", 
          SuperscriptBox["10", 
           RowBox[{"-", "9"}]]}], ",", 
         FractionBox["\[Pi]", "nmax"]}], "}"}]}], "]"}], "//", 
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Zgrid2", "=", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"r", "+", 
           RowBox[{"\[ImaginaryI]", " ", "i"}]}], ",", 
          RowBox[{"r", "-", 
           RowBox[{"\[ImaginaryI]", " ", "i"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"r", ",", 
          RowBox[{
           FractionBox["1", "2"], "+", 
           FractionBox["1", "nmax"]}], ",", 
          RowBox[{"1", "-", 
           SuperscriptBox["10", 
            RowBox[{"-", "9"}]]}], ",", 
          FractionBox["1", "nmax"]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", 
          RowBox[{"1", "-", 
           SuperscriptBox["10", 
            RowBox[{"-", "9"}]]}], ",", 
          FractionBox["1", "nmax"]}], "}"}]}], "]"}], "//", 
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], ";"}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Dgrid", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[CapitalDelta]", ",", "L"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"L", ",", "0", ",", "LMax", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[CapitalDelta]", ",", 
        RowBox[{"L", "+", 
         SuperscriptBox["10", 
          RowBox[{"-", "3"}]]}], ",", "DMax", ",", "step"}], "}"}]}], "]"}], "//", 
    RowBox[{
     RowBox[{"Flatten", "[", 
      RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7035180802694683`*^9, 3.7035180821048565`*^9}, {
   3.7035185196630583`*^9, 3.7035186097683535`*^9}, {3.703518762563921*^9, 
   3.7035187648630495`*^9}, {3.703519350570327*^9, 3.703519352811423*^9}, {
   3.703520370626116*^9, 3.7035203757313995`*^9}, {3.7035205167300367`*^9, 
   3.703520519086255*^9}, {3.703521290150762*^9, 3.7035212953512416`*^9}, {
   3.703522016474374*^9, 3.7035220223816695`*^9}, {3.7035226895841084`*^9, 
   3.7035227778377657`*^9}, {3.7035234816822186`*^9, 3.703523482740777*^9}, {
   3.7035236135308743`*^9, 3.703523687382408*^9}, {3.703523745790533*^9, 
   3.703523748509062*^9}, {3.703523900093073*^9, 3.7035239001761327`*^9}, {
   3.703523999811685*^9, 3.703524003257128*^9}, {3.703524042514825*^9, 
   3.703524055358858*^9}, {3.7035241550534754`*^9, 3.703524173390585*^9}, {
   3.703524911440137*^9, 3.7035249183065357`*^9}, 3.7035250333516793`*^9, {
   3.703525947864654*^9, 3.7035259863798857`*^9}, {3.7035274071277285`*^9, 
   3.7035274158399267`*^9}, {3.7035280391189632`*^9, 
   3.7035281085029087`*^9}, {3.703528179492712*^9, 3.7035281958610287`*^9}, {
   3.703528819634641*^9, 3.7035288228417377`*^9}, {3.7035291645594015`*^9, 
   3.7035291645884266`*^9}, {3.703529231860735*^9, 3.703529235722478*^9}, {
   3.7035292880633397`*^9, 3.703529288168996*^9}, {3.7035293559931183`*^9, 
   3.703529383326949*^9}, {3.7035294940200377`*^9, 3.7035294940680723`*^9}, {
   3.7035295570830064`*^9, 3.703529557162943*^9}, {3.704708012159608*^9, 
   3.704708012560851*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Dynamic", "[", "a", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "\"\<Making table...\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"maintab", "=", 
    RowBox[{"MakeTables", "[", 
     RowBox[{"Zgrid", ",", "Dgrid"}], "]"}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Do", " ", "it", " ", "once", " ", "and", " ", "for", " ", "all"}], ";", 
    " ", 
    RowBox[{
    "computes", " ", "blocks", " ", "and", " ", "crossed", " ", "blocks"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "\"\<Table done!\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"1", "/", "100"}]}], ",", 
    RowBox[{"a", "\[LessEqual]", 
     RowBox[{"2", "/", "10"}]}], ",", 
    RowBox[{"a", "+=", 
     RowBox[{"1", "/", "100"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Ftab", "=", 
      RowBox[{"ConvolveTable", "[", 
       RowBox[{"a", ",", "Zgrid", ",", "Dgrid", ",", "maintab"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"res", ",", 
       RowBox[{"Bissect", "[", 
        RowBox[{"a", ",", 
         RowBox[{"1", "/", "10"}], ",", "1.5", ",", 
         SuperscriptBox["10", 
          RowBox[{"-", "6"}]], ",", "Zgrid", ",", "Ftab"}], "]"}]}], "]"}], 
     ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.7035194999868107`*^9, 3.7035195207086153`*^9}, {
   3.7035196255111685`*^9, 3.7035196264538527`*^9}, {3.703519697728084*^9, 
   3.7035196977496014`*^9}, {3.703519789612577*^9, 3.703519805926549*^9}, {
   3.7035198811399746`*^9, 3.70351995577522*^9}, {3.7035203882964582`*^9, 
   3.7035204003594923`*^9}, {3.703521908476712*^9, 3.7035219487257133`*^9}, {
   3.70352215109273*^9, 3.7035221644181023`*^9}, {3.7035250814980097`*^9, 
   3.703525086979928*^9}, {3.7035251624283533`*^9, 3.7035251635835524`*^9}, {
   3.703526026717817*^9, 3.70352602777528*^9}, {3.7035272201344824`*^9, 
   3.7035272212262487`*^9}, {3.7035274322763104`*^9, 3.703527433248114*^9}, {
   3.703527782982576*^9, 3.703527788447112*^9}, {3.7035282182235527`*^9, 
   3.703528219135422*^9}, {3.7035291801338615`*^9, 3.703529186498407*^9}, {
   3.7035292980003157`*^9, 3.7035293273259974`*^9}, {3.703529362238902*^9, 
   3.7035293631182313`*^9}, {3.703529849920314*^9, 3.703529850985196*^9}, {
   3.7035301952966022`*^9, 3.7035302116073737`*^9}, 3.704709329902999*^9, 
   3.7047098407488604`*^9, {3.7047111321572666`*^9, 3.704711132245388*^9}}],

Cell[BoxData[
 DynamicBox[ToBoxes[$CellContext`a, StandardForm],
  ImageSizeCache->{54., {16.1, 30.16000002384186}}]], "Output",
 CellChangeTimes->{{3.7035203985057545`*^9, 3.703520401166047*^9}, 
   3.703520596783578*^9, 3.703521956033516*^9, 3.703522045204094*^9, 
   3.7035228322772655`*^9, 3.7035230021735144`*^9, {3.7035236791838665`*^9, 
   3.703523700148035*^9}, 3.703523751420824*^9, 3.7035238513740377`*^9, 
   3.70352390619304*^9, 3.7035242625996475`*^9, 3.7035249439728737`*^9, 
   3.703525087937359*^9, {3.703525164387384*^9, 3.7035252051934776`*^9}, 
   3.7035260285658445`*^9, 3.7035262852530127`*^9, 3.7035272247068696`*^9, 
   3.703527433600889*^9, 3.7035277890713177`*^9, 3.7035282209609604`*^9, 
   3.7035283059833517`*^9, 3.7035283705012336`*^9, 3.703528487520548*^9, 
   3.7035285249499393`*^9, 3.7035288345069675`*^9, {3.703529170271474*^9, 
   3.7035291876543355`*^9}, 3.7035292368726597`*^9, {3.7035292987533035`*^9, 
   3.7035293279194546`*^9}, {3.703529363483735*^9, 3.703529386289751*^9}, 
   3.703529496502847*^9, 3.703529558456249*^9, 3.7035296582156787`*^9, 
   3.7035297496786194`*^9, {3.7035298258145857`*^9, 3.7035298517236853`*^9}, 
   3.7035302158298416`*^9, 3.704708020295477*^9, 3.7047093316822777`*^9, 
   3.7047098443798122`*^9, 3.704711134817767*^9}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Making table...\"\>"], "Print",
 CellChangeTimes->{
  3.70352283228327*^9, 3.703523002177015*^9, {3.703523679186871*^9, 
   3.7035237001510363`*^9}, 3.7035237514238234`*^9, 3.7035238513780403`*^9, 
   3.7035239061970434`*^9, 3.7035242626026487`*^9, 3.703524943975876*^9, 
   3.70352508794036*^9, {3.7035251643903866`*^9, 3.703525205196479*^9}, 
   3.703526028569846*^9, 3.703526285258013*^9, 3.7035272247108717`*^9, 
   3.7035274336048985`*^9, 3.7035277890753145`*^9, 3.70352822096496*^9, 
   3.7035283059863524`*^9, 3.7035283705042353`*^9, 3.703528487523546*^9, 
   3.7035285249519405`*^9, 3.7035288345104694`*^9, {3.703529170274476*^9, 
   3.703529187657337*^9}, 3.7035292368766627`*^9, {3.703529298757303*^9, 
   3.703529327923455*^9}, {3.703529363486737*^9, 3.703529386293753*^9}, 
   3.7035294965053473`*^9, 3.703529558459251*^9, 3.7035296582186794`*^9, 
   3.7035297496816206`*^9, {3.703529825817587*^9, 3.7035298517306905`*^9}, 
   3.7035302158343444`*^9, 3.7047080202994795`*^9, 3.7047093316852813`*^9, 
   3.7047098443828135`*^9, 3.7047111348197684`*^9}],

Cell[BoxData["\<\"Table done!\"\>"], "Print",
 CellChangeTimes->{
  3.70352283228327*^9, 3.703523002177015*^9, {3.703523679186871*^9, 
   3.7035237001510363`*^9}, 3.7035237514238234`*^9, 3.7035238513780403`*^9, 
   3.7035239061970434`*^9, 3.7035242626026487`*^9, 3.703524943975876*^9, 
   3.70352508794036*^9, {3.7035251643903866`*^9, 3.703525205196479*^9}, 
   3.703526028569846*^9, 3.703526285258013*^9, 3.7035272247108717`*^9, 
   3.7035274336048985`*^9, 3.7035277890753145`*^9, 3.70352822096496*^9, 
   3.7035283059863524`*^9, 3.7035283705042353`*^9, 3.703528487523546*^9, 
   3.7035285249519405`*^9, 3.7035288345104694`*^9, {3.703529170274476*^9, 
   3.703529187657337*^9}, 3.7035292368766627`*^9, {3.703529298757303*^9, 
   3.703529327923455*^9}, {3.703529363486737*^9, 3.703529386293753*^9}, 
   3.7035294965053473`*^9, 3.703529558459251*^9, 3.7035296582186794`*^9, 
   3.7035297496816206`*^9, {3.703529825817587*^9, 3.7035298517306905`*^9}, 
   3.7035302158343444`*^9, 3.7047080202994795`*^9, 3.7047093316852813`*^9, 
   3.7047098443828135`*^9, 3.7047112813945007`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"LinearProgramming", "::", "lpsnf"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"No solution can be found that satisfies the constraints. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/LinearProgramming/lpsnf\
\\\", ButtonNote -> \\\"LinearProgramming::lpsnf\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{
  3.703529200430376*^9, 3.7035292453412323`*^9, {3.703529309609581*^9, 
   3.703529338727268*^9}, {3.7035293712460423`*^9, 3.703529396994588*^9}, 
   3.7035295042493334`*^9, 3.7035295692850976`*^9, 3.7035296688616123`*^9, 
   3.70352976019113*^9, {3.7035298369648547`*^9, 3.703529862854081*^9}, 
   3.703530227256506*^9, 3.7047081049119596`*^9, 3.7047094154213777`*^9, 
   3.7047098497650604`*^9, 3.7047112866763043`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"LinearProgramming", "::", "lpsnf"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"No solution can be found that satisfies the constraints. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/LinearProgramming/lpsnf\
\\\", ButtonNote -> \\\"LinearProgramming::lpsnf\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{
  3.703529200430376*^9, 3.7035292453412323`*^9, {3.703529309609581*^9, 
   3.703529338727268*^9}, {3.7035293712460423`*^9, 3.703529396994588*^9}, 
   3.7035295042493334`*^9, 3.7035295692850976`*^9, 3.7035296688616123`*^9, 
   3.70352976019113*^9, {3.7035298369648547`*^9, 3.703529862854081*^9}, 
   3.703530227256506*^9, 3.7047081049119596`*^9, 3.7047094154213777`*^9, 
   3.7047098497650604`*^9, 3.704711287289741*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"LinearProgramming", "::", "lpsnf"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"No solution can be found that satisfies the constraints. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/LinearProgramming/lpsnf\
\\\", ButtonNote -> \\\"LinearProgramming::lpsnf\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{
  3.703529200430376*^9, 3.7035292453412323`*^9, {3.703529309609581*^9, 
   3.703529338727268*^9}, {3.7035293712460423`*^9, 3.703529396994588*^9}, 
   3.7035295042493334`*^9, 3.7035295692850976`*^9, 3.7035296688616123`*^9, 
   3.70352976019113*^9, {3.7035298369648547`*^9, 3.703529862854081*^9}, 
   3.703530227256506*^9, 3.7047081049119596`*^9, 3.7047094154213777`*^9, 
   3.7047098497650604`*^9, 3.7047112885240974`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(LinearProgramming :: lpsnf\\), \\\"MessageName\
\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.703529200430376*^9, 3.7035292453412323`*^9, {3.703529309609581*^9, 
   3.703529338727268*^9}, {3.7035293712460423`*^9, 3.703529396994588*^9}, 
   3.7035295042493334`*^9, 3.7035295692850976`*^9, 3.7035296688616123`*^9, 
   3.70352976019113*^9, {3.7035298369648547`*^9, 3.703529862854081*^9}, 
   3.703530227256506*^9, 3.7047081049119596`*^9, 3.7047094154213777`*^9, 
   3.7047098497650604`*^9, 3.704711288547618*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"sigs", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"a", ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "0.01", ",", "0.2", ",", 
       RowBox[{"1", "/", "100"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eps", "=", 
   RowBox[{"res", "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl", "=", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"sigs", ",", "eps"}], "}"}], "//", "Transpose"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotMarkers", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"Filling", "\[Rule]", "Bottom"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]\), \(\[Sigma]\)]\)\>\"", 
        ",", "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]\), \(\[Epsilon]\)]\)\>\
\""}], "}"}]}], ",", 
     RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
     RowBox[{"LabelStyle", "\[Rule]", "Large"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"pl", ",", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Large", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "/", "8"}], ",", "1"}], "}"}], "]"}]}], "}"}], "]"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.703520215046754*^9, 3.7035202749682093`*^9}, {
   3.703520350576539*^9, 3.70352036052829*^9}, {3.703520405254768*^9, 
   3.7035204053133087`*^9}, {3.703530118114814*^9, 3.703530119637469*^9}, {
   3.7035302466903515`*^9, 3.703530275601572*^9}, {3.7035305288799043`*^9, 
   3.703530567125754*^9}, {3.7035312108019724`*^9, 3.703531214047357*^9}, {
   3.703531265489825*^9, 3.7035313000474453`*^9}, {3.703531335448127*^9, 
   3.7035313400507383`*^9}, {3.7035314405290093`*^9, 3.7035314436968107`*^9}, 
   3.7047095342799377`*^9, 3.7047098368970933`*^9, {3.704711144317885*^9, 
   3.704711144408954*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGAQA2IQXS2yzv1hVYv9rJkzZ7puOWEP4U+xPwMEL7qP2++Q
a30duGOe/QUQf9I5qPwS+7NAvlPKJbC+mTNX2psaGxv/nXHVfidY/Tqw/LH+
2/ZADlBkI1jdncQHUP1b7DPS0tK+6z+x57q+uMCWazvYvt96L+zBxs3caT8D
SH578NZeM6b/0FeNPfZGQPN9xN5D3bPPHsjd7KX2wX4JUPf1xQfA/EsHP9i/
Adt30J6RgaFhVexHexNjEDhsD/Qqw8mfH6H2HwGrN5z2yf7wVw2gDUfB6j4a
fbbnBrvnuD3QeWnCFz7bB4EtPAE2b3HuF6h/T4LNW8P91R4WfgxQgCwPAgBY
tagh
     "], {{{}, 
       {Hue[0.67, 0.6, 0.6], Opacity[0.2], EdgeForm[None], 
        GraphicsGroupBox[
         PolygonBox[{{1, 21, 22, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 
          9, 8, 7, 6, 5, 4, 3, 2}}]]}, {}, {}}, {{}, {}, 
       {RGBColor[0.24720000000000014`, 0.24, 0.6], 
        LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 
         18, 19, 20}]}}, {
       {RGBColor[0.24720000000000014`, 0.24, 0.6], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 1], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 2], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 3], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 4], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 5], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 6], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 7], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 8], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 9], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 10], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 11], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 12], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 13], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 14], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 15], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 16], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 17], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 18], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 19], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 20]}, {}}}], {}}, 
   {RGBColor[1, 0, 0], PointSize[Large], 
    PointBox[NCache[{Rational[1, 8], 1}, {0.125, 1}]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  Frame->True,
  FrameLabel->{
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[CapitalDelta]\\), \\(\[Sigma]\\)]\\)\"", 
     TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[CapitalDelta]\\), \\(\[Epsilon]\\)]\\)\"", 
     TraditionalForm]},
  ImageSize->{869.9999889460477, Automatic},
  LabelStyle->Large,
  Method->{},
  PlotRange->{{0, 0.2}, {0, 1.3153495788574219`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.004, 0.004}, {0.02630699157714844, 
   0.02630699157714844}},
  RotateLabel->False]], "Output",
 CellChangeTimes->{
  3.7047094567877216`*^9, {3.7047095207118273`*^9, 3.7047095347079177`*^9}, {
   3.7047102899272842`*^9, 3.704710307811945*^9}, 3.7047104337399464`*^9, 
   3.7047105196810894`*^9, 3.70471144213665*^9}]
}, Open  ]],

Cell["\<\
Let us compare the functional before and after the kink:\
\>", "Text",
 CellChangeTimes->{{3.704709860847401*^9, 3.7047098669650865`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"epss", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "6"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DF", "[", 
   RowBox[{"a_", ",", "gap_"}], "]"}], ":=", 
  RowBox[{
   SuperscriptBox["epss", 
    RowBox[{"-", "1"}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"FVec", "[", 
      RowBox[{"a", ",", 
       RowBox[{"gap", "+", "epss"}], ",", "0", ",", "Zgrid"}], "]"}], "-", 
     RowBox[{"FVec", "[", 
      RowBox[{"a", ",", "gap", ",", "0", ",", "Zgrid"}], "]"}]}], 
    ")"}]}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.704709499967956*^9, 3.704709511083126*^9}, {
  3.704709555186971*^9, 3.7047095731582923`*^9}, {3.7047097009109917`*^9, 
  3.704709710318529*^9}}],

Cell["Before:", "Text",
 CellChangeTimes->{{3.7047115877629757`*^9, 3.7047115885305214`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"k", "=", "8"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"l", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLogPlot", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{
        RowBox[{"res", "[", 
         RowBox[{"[", 
          RowBox[{"k", ",", "3"}], "]"}], "]"}], ".", 
        RowBox[{"(", 
         FractionBox[
          RowBox[{"FVec", "[", 
           RowBox[{
            RowBox[{"sigs", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ",", "i", ",", "l", ",", 
            "Zgrid"}], "]"}], 
          RowBox[{"DF", "[", 
           RowBox[{
            RowBox[{"sigs", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ",", 
            RowBox[{"res", "[", 
             RowBox[{"[", 
              RowBox[{"k", ",", "2"}], "]"}], "]"}]}], "]"}]], ")"}]}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "l", ",", 
       RowBox[{"l", "+", "5"}], ",", "0.01"}], "}"}]}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "5"}], ",", "Automatic"}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.704708705563621*^9, 3.7047087250299273`*^9}, {
   3.704708758376271*^9, 3.7047088145968695`*^9}, {3.7047089077496867`*^9, 
   3.7047089429404535`*^9}, {3.7047089786510124`*^9, 3.704709149564437*^9}, {
   3.704709200399126*^9, 3.7047092059476337`*^9}, {3.7047092384123993`*^9, 
   3.7047092513539658`*^9}, {3.704709580959052*^9, 3.704709602450387*^9}, {
   3.704709674444171*^9, 3.7047096832732625`*^9}, {3.7047097520723333`*^9, 
   3.7047097625020437`*^9}, {3.704709880394413*^9, 3.704709892040185*^9}, {
   3.7047103177266364`*^9, 3.704710317916551*^9}, {3.7047114542740903`*^9, 
   3.704711454549327*^9}, 3.7047114854833393`*^9}],

Cell[BoxData[
 GraphicsBox[{{{}, {{}, 
     {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJw113lczPkfB/C5a6Zpju/cg1i31lo5K8fnnYhcEYskZ3KUdWyoHD8lpSxh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       "]]}, {}}, {}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, -12.346583171388916`},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{-11.512925464970229`, 
       FormBox[
        TemplateBox[{"10", 
          RowBox[{"-", "5"}]}, "Superscript", SyntaxForm -> SuperscriptBox], 
        TraditionalForm]}, {-6.907755278982137, 
       FormBox["0.001`", TraditionalForm]}, {-2.3025850929940455`, 
       FormBox["0.1`", TraditionalForm]}, {2.302585092994046, 
       FormBox["10", TraditionalForm]}, {6.907755278982137, 
       FormBox["1000", TraditionalForm]}, {-9.028018815182229, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-8.377431249041079, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-7.986564940354067, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-7.706262975199909, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-7.487573774235079, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-7.308232845579262, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-7.156216638280637, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-7.024289095238088, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-4.422848629194137, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-3.7722610630529876`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-3.3813947543659757`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-3.101092789211817, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.882403588246988, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.703062659591171, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.551046452292545, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.419118909249997, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {0.1823215567939546, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {0.8329091229351039, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.2237754316221159`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.5040773967762742`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.7227665977411037`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.9021075263969205`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {2.0541237336955462`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {2.186051276738094, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {4.787491742782046, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {5.438079308923196, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {5.8289456176102075`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {6.1092475827643655`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {6.327936783729195, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {6.507277712385012, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {6.659293919683638, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {6.7912214627261855`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{-11.512925464970229`, 
       FormBox["\"\"", TraditionalForm]}, {-6.907755278982137, 
       FormBox["\"\"", TraditionalForm]}, {-2.3025850929940455`, 
       FormBox["\"\"", TraditionalForm]}, {2.302585092994046, 
       FormBox["\"\"", TraditionalForm]}, {6.907755278982137, 
       FormBox["\"\"", TraditionalForm]}, {-9.028018815182229, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-8.377431249041079, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-7.986564940354067, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-7.706262975199909, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-7.487573774235079, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-7.308232845579262, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-7.156216638280637, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-7.024289095238088, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-4.422848629194137, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-3.7722610630529876`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-3.3813947543659757`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-3.101092789211817, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.882403588246988, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.703062659591171, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.551046452292545, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.419118909249997, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {0.1823215567939546, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {0.8329091229351039, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.2237754316221159`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.5040773967762742`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.7227665977411037`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.9021075263969205`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {2.0541237336955462`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {2.186051276738094, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {4.787491742782046, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {5.438079308923196, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {5.8289456176102075`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {6.1092475827643655`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {6.327936783729195, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {6.507277712385012, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {6.659293919683638, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {6.7912214627261855`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{0, 5.}, {-12.346583171388916`, 6.760729351850005}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.1, 0.1}, {0., 0.3821462504647784}},
  Ticks->{Automatic, {{-11.512925464970229`, 
      FormBox[
       TemplateBox[{"10", 
         RowBox[{"-", "5"}]}, "Superscript", SyntaxForm -> SuperscriptBox], 
       TraditionalForm]}, {-6.907755278982137, 
      FormBox["0.001`", TraditionalForm]}, {-2.3025850929940455`, 
      FormBox["0.1`", TraditionalForm]}, {2.302585092994046, 
      FormBox["10", TraditionalForm]}, {6.907755278982137, 
      FormBox["1000", TraditionalForm]}, {-9.028018815182229, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-8.377431249041079, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-7.986564940354067, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-7.706262975199909, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-7.487573774235079, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-7.308232845579262, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-7.156216638280637, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-7.024289095238088, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-4.422848629194137, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-3.7722610630529876`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-3.3813947543659757`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-3.101092789211817, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-2.882403588246988, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-2.703062659591171, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-2.551046452292545, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-2.419118909249997, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {0.1823215567939546, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {0.8329091229351039, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {1.2237754316221159`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {1.5040773967762742`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {1.7227665977411037`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {1.9021075263969205`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {2.0541237336955462`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {2.186051276738094, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {4.787491742782046, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {5.438079308923196, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {5.8289456176102075`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {6.1092475827643655`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {6.327936783729195, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {6.507277712385012, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {6.659293919683638, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {6.7912214627261855`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{{3.7047087193832083`*^9, 3.7047087253867283`*^9}, {
   3.704708761613445*^9, 3.7047087885556955`*^9}, {3.7047089033351336`*^9, 
   3.704708943436909*^9}, {3.704708979564749*^9, 3.704709149899161*^9}, {
   3.7047092016452036`*^9, 3.70470925168227*^9}, 3.704709675515803*^9, {
   3.7047097406004477`*^9, 3.7047097628933315`*^9}, 3.704710318492238*^9, 
   3.7047105588954573`*^9, {3.7047114496635695`*^9, 3.704711462402287*^9}, 
   3.7047115590872197`*^9}]
}, Open  ]],

Cell["After", "Text",
 CellChangeTimes->{{3.7047115913444247`*^9, 3.704711592378163*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"k", "=", "12"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"l", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLogPlot", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{
        RowBox[{"res", "[", 
         RowBox[{"[", 
          RowBox[{"k", ",", "3"}], "]"}], "]"}], ".", 
        RowBox[{"(", 
         FractionBox[
          RowBox[{"FVec", "[", 
           RowBox[{
            RowBox[{"sigs", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ",", "i", ",", "l", ",", 
            "Zgrid"}], "]"}], 
          RowBox[{"DF", "[", 
           RowBox[{
            RowBox[{"sigs", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ",", 
            RowBox[{"res", "[", 
             RowBox[{"[", 
              RowBox[{"k", ",", "2"}], "]"}], "]"}]}], "]"}]], ")"}]}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "l", ",", 
       RowBox[{"l", "+", "5"}], ",", "0.01"}], "}"}]}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "5"}], ",", "Automatic"}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.704708705563621*^9, 3.7047087250299273`*^9}, {
  3.704708758376271*^9, 3.7047088145968695`*^9}, {3.7047089077496867`*^9, 
  3.7047089429404535`*^9}, {3.7047089786510124`*^9, 3.704709149564437*^9}, {
  3.704709200399126*^9, 3.7047092059476337`*^9}, {3.7047092384123993`*^9, 
  3.7047092513539658`*^9}, {3.704709580959052*^9, 3.704709602450387*^9}, {
  3.704709674444171*^9, 3.7047096832732625`*^9}, {3.7047097520723333`*^9, 
  3.7047097625020437`*^9}, {3.704709880394413*^9, 3.704709892040185*^9}, {
  3.7047103177266364`*^9, 3.704710317916551*^9}, {3.7047114542740903`*^9, 
  3.704711494800965*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {{}, 
     {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJw113lcjfkXB/C77/e5WxGjss5UNMj2E/qeLCHJSJaRrQmhRox9S2RLiJT8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       "]]}, {}}, {}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, -7.333401318276705},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{-6.907755278982137, 
       FormBox["0.001`", TraditionalForm]}, {-4.605170185988091, 
       FormBox["0.01`", TraditionalForm]}, {-2.3025850929940455`, 
       FormBox["0.1`", TraditionalForm]}, {0., 
       FormBox["1", TraditionalForm]}, {2.302585092994046, 
       FormBox["10", TraditionalForm]}, {4.605170185988092, 
       FormBox["100", TraditionalForm]}, {-6.214608098422191, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-5.809142990314028, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-5.521460917862246, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-5.298317366548036, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-5.115995809754082, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-4.961845129926823, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-4.8283137373023015`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-4.710530701645918, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-3.912023005428146, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-3.506557897319982, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-3.2188758248682006`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.995732273553991, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.8134107167600364`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.659260036932778, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.5257286443082556`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.407945608651872, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-1.6094379124341003`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-1.203972804325936, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-0.916290731874155, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-0.6931471805599453, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-0.5108256237659905, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-0.35667494393873245`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-0.2231435513142097, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-0.10536051565782616`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {0.6931471805599453, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.0986122886681098`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.3862943611198906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.6094379124341003`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.791759469228055, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.9459101490553132`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {2.0794415416798357`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {2.1972245773362196`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {2.995732273553991, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {3.4011973816621555`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {3.6888794541139363`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {3.912023005428146, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {4.0943445622221, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {4.248495242049359, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {4.382026634673881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {4.499809670330265, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{-6.907755278982137, 
       FormBox["\"\"", TraditionalForm]}, {-4.605170185988091, 
       FormBox["\"\"", TraditionalForm]}, {-2.3025850929940455`, 
       FormBox["\"\"", TraditionalForm]}, {0., 
       FormBox["\"\"", TraditionalForm]}, {2.302585092994046, 
       FormBox["\"\"", TraditionalForm]}, {4.605170185988092, 
       FormBox["\"\"", TraditionalForm]}, {-6.214608098422191, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-5.809142990314028, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-5.521460917862246, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-5.298317366548036, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-5.115995809754082, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-4.961845129926823, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-4.8283137373023015`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-4.710530701645918, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-3.912023005428146, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-3.506557897319982, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-3.2188758248682006`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.995732273553991, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.8134107167600364`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.659260036932778, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.5257286443082556`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-2.407945608651872, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-1.6094379124341003`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-1.203972804325936, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-0.916290731874155, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-0.6931471805599453, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-0.5108256237659905, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-0.35667494393873245`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-0.2231435513142097, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {-0.10536051565782616`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {0.6931471805599453, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.0986122886681098`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.3862943611198906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.6094379124341003`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.791759469228055, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {1.9459101490553132`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {2.0794415416798357`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {2.1972245773362196`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {2.995732273553991, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {3.4011973816621555`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {3.6888794541139363`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {3.912023005428146, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {4.0943445622221, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {4.248495242049359, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {4.382026634673881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {4.499809670330265, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{0, 5.}, {-7.333401318276705, 3.9339635972140727`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.1, 0.1}, {0., 0.22534729830981554`}},
  Ticks->{Automatic, {{-6.907755278982137, 
      FormBox["0.001`", TraditionalForm]}, {-4.605170185988091, 
      FormBox["0.01`", TraditionalForm]}, {-2.3025850929940455`, 
      FormBox["0.1`", TraditionalForm]}, {0., 
      FormBox["1", TraditionalForm]}, {2.302585092994046, 
      FormBox["10", TraditionalForm]}, {4.605170185988092, 
      FormBox["100", TraditionalForm]}, {-6.214608098422191, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-5.809142990314028, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-5.521460917862246, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-5.298317366548036, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-5.115995809754082, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-4.961845129926823, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-4.8283137373023015`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-4.710530701645918, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-3.912023005428146, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-3.506557897319982, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-3.2188758248682006`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-2.995732273553991, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-2.8134107167600364`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-2.659260036932778, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-2.5257286443082556`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-2.407945608651872, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-1.6094379124341003`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-1.203972804325936, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-0.916290731874155, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-0.6931471805599453, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-0.5108256237659905, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-0.35667494393873245`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-0.2231435513142097, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {-0.10536051565782616`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {0.6931471805599453, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {1.0986122886681098`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {1.3862943611198906`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {1.6094379124341003`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {1.791759469228055, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {1.9459101490553132`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {2.0794415416798357`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {2.1972245773362196`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {2.995732273553991, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {3.4011973816621555`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {3.6888794541139363`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {3.912023005428146, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {4.0943445622221, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {4.248495242049359, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {4.382026634673881, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {4.499809670330265, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{
  3.704711628948558*^9},ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell["\<\
So there is a non-trivial double zero in the scalar channel which disappears \
above the kink. This is the origin of the kink. It also explains the wiggles \
in the plot below the kink, since then the non-trivial zero is sensitive to \
the grid spacing.\
\>", "Text",
 CellChangeTimes->{{3.7047115964601064`*^9, 3.7047116545465937`*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1903, 912},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.100000023841858,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 96, 1, 140, "Title"],
Cell[CellGroupData[{
Cell[700, 27, 97, 1, 66, "Subsection"],
Cell[800, 30, 148, 3, 47, "Text"],
Cell[951, 35, 4331, 112, 275, "Input"],
Cell[CellGroupData[{
Cell[5307, 151, 951, 30, 83, "Input"],
Cell[6261, 183, 1018, 21, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[7328, 210, 94, 1, 56, "Subsection"],
Cell[7425, 213, 163, 3, 47, "Text"],
Cell[7591, 218, 7260, 206, 749, "Input"],
Cell[14854, 426, 94, 1, 47, "Text"],
Cell[CellGroupData[{
Cell[14973, 431, 278, 5, 45, "Input"],
Cell[15254, 438, 663, 13, 70, "Output"],
Cell[15920, 453, 639, 13, 69, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[16608, 472, 219, 3, 56, "Subsection"],
Cell[16830, 477, 229, 4, 47, "Text"],
Cell[17062, 483, 3070, 66, 453, "Input"],
Cell[20135, 551, 472, 14, 61, "Text"],
Cell[20610, 567, 2988, 80, 550, "Input"],
Cell[23601, 649, 170, 2, 45, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[23808, 656, 151, 2, 56, "Subsection"],
Cell[23962, 660, 207, 4, 47, "Text"],
Cell[24172, 666, 5926, 137, 757, "Input"],
Cell[30101, 805, 244, 5, 47, "Text"],
Cell[30348, 812, 2574, 58, 586, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[32959, 875, 96, 1, 56, "Subsection"],
Cell[33058, 878, 234, 4, 47, "Text"],
Cell[33295, 884, 4637, 116, 275, "Input"],
Cell[CellGroupData[{
Cell[37957, 1004, 2692, 60, 349, "Input"],
Cell[40652, 1066, 1289, 18, 89, "Output"],
Cell[CellGroupData[{
Cell[41966, 1088, 1081, 15, 33, "Print"],
Cell[43050, 1105, 1077, 15, 33, "Print"]
}, Open  ]],
Cell[44142, 1123, 871, 16, 38, "Message"],
Cell[45016, 1141, 869, 16, 38, "Message"],
Cell[45888, 1159, 871, 16, 38, "Message"],
Cell[46762, 1177, 939, 17, 38, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47738, 1199, 2115, 52, 194, "Input"],
Cell[49856, 1253, 4206, 102, 661, "Output"]
}, Open  ]],
Cell[54077, 1358, 148, 3, 47, "Text"],
Cell[54228, 1363, 742, 21, 123, "Input"],
Cell[54973, 1386, 93, 1, 47, "Text"],
Cell[CellGroupData[{
Cell[55091, 1391, 1838, 45, 155, "Input"],
Cell[56932, 1438, 19282, 349, 293, "Output"]
}, Open  ]],
Cell[76229, 1790, 89, 1, 47, "Text"],
Cell[CellGroupData[{
Cell[76343, 1795, 1807, 45, 155, "Input"],
Cell[78153, 1842, 24842, 446, 294, 20861, 379, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[103010, 2291, 347, 6, 83, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
